// IADDgFnd.hpp : header file
/////////////////////////////////////////////////////////////////////////////
#ifndef _IAD_DIALOG_FIND_IN_TRACE_
#define _IAD_DIALOG_FIND_IN_TRACE_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "IAD_Res.h"
#include "IADDoc.hpp"

/////////////////////////////////////////////////////////////////////////////
// IAD_Dialog_FindInTree dialog

class IAD_Dialog_FindInTree : public CDialog
{
// Construction
public:
	IAD_Dialog_FindInTree(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(IAD_Dialog_FindInTree)
	enum { IDD = IDD_IAD_FIND };
	BOOL	m_bName_CaseSensitive;
	BOOL	m_bName_Exact;
	BOOL	m_bValue_CaseSensitive;
	BOOL	m_bRetValue_CaseSensitive;
	BOOL	m_bValue_Exact;
	BOOL	m_bRetValue_Exact;
	CString	m_csName;
	CString	m_csRetValue;
	CString	m_csValue;
	int		m_iSearchType;
	BOOL	m_bSimpleSearchCaseSensitive;
	BOOL	m_bSimpleSearchExact;
	CString	m_csSimpleSearchString;
	CString	m_csBeginningLevel;
	CString	m_csEndLevel;
	BOOL	m_bOnlyLevels;
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(IAD_Dialog_FindInTree)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(IAD_Dialog_FindInTree)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeComboFieldType();
	afx_msg void OnRadioDeepSearch();
	afx_msg void OnRadioSimpleSearch();
	afx_msg void OnCheckSearchInLevels();
	//}}AFX_MSG

	
	DECLARE_MESSAGE_MAP()
private:
	void m_pri_fn_vEnableDeepSearchControls(BOOL _bEnable);
	void m_pri_fn_vEnableSimpleSearchControls(BOOL _bEnable);
	void m_pri_fn_vFillCombo();
};

#endif // _IAD_DIALOG_FIND_IN_TRACE_
